respect-validation/.travis.yml
Henrique Moody b4ad2f6413
Change the PHP support to version 7.2 or aboce
Since there will still be secutiry support until 30 Nov 2020 and there
was something happening in Travis when generating coverage with newer
versions of PHP which I'm not in the mood to debug, I decided to change
the support again, this time to version 7.2.

Signed-off-by: Henrique Moody <henriquemoody@gmail.com>
2020-04-04 23:55:05 +02:00

57 lines
1.6 KiB
YAML

sudo: false
language: php
php:
- 7.2
- 7.3
- 7.4
- nightly
cache:
directories:
- $HOME/.composer/cache
before_install:
- mv ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/xdebug.ini{,.disabled} || echo "xdebug not available"
install:
- travis_retry composer install
- sudo locale-gen --no-purge --lang nl_NL.UTF-8
- sudo locale-gen --no-purge --lang pt_BR.UTF-8
- sudo locale-gen --no-purge --lang ru_RU.UTF-8
- pecl install uopz || echo "Cound not install uopz" 1>&2
script:
- vendor/bin/phpunit --testsuite=unit --verbose --colors
- vendor/bin/phpunit --testsuite=integration --verbose --colors
jobs:
allow_failures:
- php: nightly
include:
- stage: Quality assurance
env: CODE_COVERAGE
before_script:
- mv ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/xdebug.ini{.disabled,}
- if [[ ! $(php -m | grep -si xdebug) ]]; then echo "xdebug required for coverage"; exit 1; fi
script: vendor/bin/phpunit --coverage-clover ./clover.xml
after_script:
- wget https://scrutinizer-ci.com/ocular.phar
- php ocular.phar code-coverage:upload --format=php-clover ./clover.xml
- stage: Quality assurance
env: DOCHEADER
install: travis_retry composer install
script: vendor/bin/docheader check library/ tests/
- stage: Quality assurance
env: CODE_STANDARD
install: travis_retry composer install
script: vendor/bin/phpcs
- stage: Quality assurance
env: STATIC_ANALYSIS
install: travis_retry composer install
script: vendor/bin/phpstan analyze